cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cédric Vidal <d...@atilla.org>
Subject DeltaTimeCacheValidity deprecated ?
Date Fri, 15 Aug 2003 14:13:58 GMT
Hi,

I'm new to this list, so please excuse me if I where to ask a silly or
already answered question.

I'm in the process of upgrading my cocoon 2.0.4 app to cocoon 2.1 and I
have a problem with new Validity objects.

I want one of my XSP pages to be valid for 1 minute. The object
DeltaTimeCacheValidity which I used in cocoon 2.0.4 now seems to be
deprecated in cocoon 2.1. I looked in the repository and saw that the
CacheValidity contract had been replaced by Excalibur's SourceValidity
contract.

I then found the object
org.apache.cocoon.transformation.helpers.ExpiresValidity which seemed to
fill my needs, but it has been removed from the repository before the
release of cocoon 2.1 stable and the last CVS log says:
"Make the store to use for the caching-cinclude element configurable,
remove obsolete class"

I don't really understand that message, so I would like to know if
anyone could give me a brief explanation of why this class has been
removed.

Finally, could anyone give me a hint on how to achieve my purpose?

Thanks.

Cédric

PS: My configuration is:
- jakarta-tomcat-4.1.12-LE-jdk14
- cocoon-2.1 stable
- Linux 2.4.18-bf2.4 i686
- j2sdk1.4.1_01

What's more, in local.build.properties, I have excluded deprecated
classes.




---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message